Tips and Instructional topics. Not for support questions.
Post a reply
burntnoodle

- burntnoodle
- Posts: 26
- Joined: Thu Feb 23, 2017 3:27 am

## Remove the "Simple Installation" from Refracta Installer

Mon Mar 13, 2017 1:29 am

Thanks to fsmithred for giving me a clue on where to look in order to remove the Simple Installation option.
The file is found in /usr/bin/refractainstaller-yad
If line numbers are enabled, the line to change is #193
Here's what the line looks like before editing it.

Code:
  `yad --title="$window_title" --width=480 --button=$"Simple installation":0 \`

To remove the Simple Installation option, remove
--button=$"Simple Installation":0
The line will now appear as this.

Code:
  `yad --title="$window_title" --width=480 \`

I also changed line #194 so that the button now says "Begin Installation" instead of "Expert Installation".
I haven't tried an installation with the changes yet. I hope to do that later this evening.
burntnoodle

- burntnoodle
- Posts: 26
- Joined: Thu Feb 23, 2017 3:27 am

## Re: Remove the "Simple Installation" from Refracta Installer

Mon Mar 13, 2017 2:17 am

Installation was perfect.
By changing that one line, the "Simple Installation" button was removed, leaving only the Expert Installation and Exit buttons.
fsmithred

- fsmithred
- Posts: 2101
- Joined: Wed Mar 09, 2011 9:13 pm

## Re: Remove the "Simple Installation" from Refracta Installer

Mon Mar 13, 2017 2:19 am

You can pull out parts of the script and test them separately. Like this -

Code:
  `#!/bin/bash
  yad --title="$window_title" --width=480 \
  --button=$"Begin installation":1 --button=$"Exit":2 --center \
  --text=$"$live_session_warning
  This utility will install a running live-CD or live-USB to your hard drive.
  This is free software that comes with no warranty or guarantee of any
  type, including but not limited to express, implied, merchantability or
  fitness of purpose.
  Copyright 2011-2015 [email protected]
  ,
  based on refractainstaller-8.0.3 by Dean Linkous. \n Version: $version \n\n\
  ${custom_text} \n
  "
  mode="$?"
  case $mode in
  0) install="simple" ;;
  1) install="expert" ;;
  2) exit 0 ;;
  esac
  echo -e "\n\t$install\n"
  `

Save it as a file, run 'bash <file>' and see what output you get by pressing the buttons (or just hitting enter).
Spoiler: it works.
Post a reply
Jump to:

Powered by phpBB © phpBB Group.

phpBB Mobile / SEO by Artodia.